---
title: "apigee/WARN/2022_001"
linkTitle: "WARN/2022_001"
weight: 1
type: docs
description: >

---

**Product**: [Apigee API Management](https://cloud.google.com/apigee)\
**Rule class**: WARN - Something that is possibly wrong

### Description

Every environment group needs to be created in both management plane and runtime plane.

For Apigee hybrid users: please make sure that every environment group you create with an
attached environment is included in all override files where the environment is used.

### Remediation

Please [apply virtualhosts changes](https://cloud.google.com/apigee/docs/hybrid/v1.7/base-path-routing?hl=en#applying) to create an environment group in the runtime plane.

You can use the following Cloud Logging filter to find matching log lines:

```
resource.type= "k8s_container"
log_id("stdout")
resource.labels.container_name= "apigee-watcher"
severity=ERROR
jsonPayload.error:"INTERNAL: NOT_FOUND: failed to create ApigeeRoute"
```

### Further information

- [Working with environment groups](https://cloud.google.com/apigee/docs/api-platform/fundamentals/environmentgroups-working-with)
