---
title: "gce/ERR/2021_005"
linkTitle: "ERR/2021_005"
weight: 1
type: docs
description: >
  Serial logs don't contain mount error messages.
---

**Product**: [Compute Engine](https://cloud.google.com/compute)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

The messages:
"You are in emergency mode" / "Failed to mount" / "Unrecognized mount option"
in serial output usually indicate that a Linux instance cannot mount the root
partition.

### Remediation

Make sure that root filesistem is healthy and the bootloader (grub)
configuration is correct. Restore the boot disk from a snapshot.

### Further information

- [Troubleshooting VM start up](https://cloud.google.com/compute/docs/troubleshooting/vm-startup#correct_the_boot_issue)
- [Best practices for persistent disk snapshots](https://cloud.google.com/compute/docs/disks/snapshot-best-practices)
